<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>JCOP FW Component Instalaltion Tool: Main Page</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.7.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li class="current"><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li id="searchli">
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<h1> JCOP FW Component Instalaltion Tool Documentation</h1>  
  </div>
</div>
<h1>	Contents</h1>
<ul align="left">
  <li><a href="#Introduction">Introduction</a></li>
  <li><a href="#Information for Developers">Information for Developers</a></li>
  <li><a href="#References">References</a></li>
</ul>
<div id="MSearchSelectWindow2"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)"><strong><a name="Introduction">Introduction</a></strong></div>
<p>The Component Installation Tool of the JCOP Framework manages the installation of software component in PVSS-based applications. The tool can be used interactively by developers or in a centralized manner by the DCS teams of the LHC experiments. In the later approach the Component Installation Tool makes usage of the so-called<a href="System_Configuration_DB.html"> System Configuration Database</a> to store the current configuration of the projects and to handle installation/uninstallation/reinstallations of components triggered remotely and to manage centrally the configuration of the projects, e.g. remote definition of project paths and of the connections between the distributed peers in the system. </p>
<p>The tool distinguishes two possible management modes of the projects:</p>
<ul>
  <li><strong>Local</strong>: The list of components installed in the project can only be managed interactively by opening the main panel of the Component Installation Tool. </li>
  <li><strong>Centra</strong>l: The Db-Agent of the Component Installation Tool executes installation/uninstallation/reinstallation of components triggered remotely through the <a href="System_Configuration_DB.html">System Configuration DB</a>.</li>
</ul>
<p>The architecture of the Component Installation Tool is shown in Figure 1.</p>
<blockquote>
  <p><img src="ComponentInstallationToolArchitecture.jpg" alt="ComponentInstallationToolArchitecture" width="952" height="749" /></p>
</blockquote>
<p align="center">Figure	1: Architecture of the Component Installation Tool</p>
<h1 align="left"><a name="Information for Developers">Information for Developers</a></h1>
<ul>
  <li>    <a href="_supported___x_m_l___tags_8ctl.html">Supportted XML tags in Components description files</a></li>
  <li><a href="fw_installation_flow_diagram.html">Component Installation Tool Flow Diagram</a></li>
</ul>
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)"></div>

<h1 align="left"><a name="References" id="References">References</a></h1>
<ul>
  <li>F. Varela, <a href="http://accelconf.web.cern.ch/accelconf/ica07/PAPERS/RPPA05.PDF">"Software management of the LHC Detector Control Systems"</a>, ICALEPCS 2007, Knoxville, Tennessee, USA.</li>
</ul>
<h2>
  <!-- iframe showing the search results (closed by default) -->
</h2>
<div id="MSearchResultsWindow">
  <h2>
    <iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
    </iframe>
  </h2>
</div>

<hr class="footer"/><address class="footer"><small>Generated on Mon Aug 30 2010 15:42:07 for JCOP FW Component Instalaltion Tool by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.7.1 </small></address>
</body>
</html>
